"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MathJaxModernFont = void 0;
var FontData_js_1 = require("mathjax-full/cjs/output/chtml/FontData.js");
var common_js_1 = require("./common.js");
var normal_js_1 = require("./chtml/normal.js");
var bold_js_1 = require("./chtml/bold.js");
var italic_js_1 = require("./chtml/italic.js");
var bold_italic_js_1 = require("./chtml/bold-italic.js");
var double_struck_js_1 = require("./chtml/double-struck.js");
var fraktur_js_1 = require("./chtml/fraktur.js");
var fraktur_bold_js_1 = require("./chtml/fraktur-bold.js");
var script_js_1 = require("./chtml/script.js");
var script_bold_js_1 = require("./chtml/script-bold.js");
var sans_serif_js_1 = require("./chtml/sans-serif.js");
var sans_serif_bold_js_1 = require("./chtml/sans-serif-bold.js");
var sans_serif_italic_js_1 = require("./chtml/sans-serif-italic.js");
var sans_serif_bold_italic_js_1 = require("./chtml/sans-serif-bold-italic.js");
var monospace_js_1 = require("./chtml/monospace.js");
var smallop_js_1 = require("./chtml/smallop.js");
var largeop_js_1 = require("./chtml/largeop.js");
var size3_js_1 = require("./chtml/size3.js");
var size4_js_1 = require("./chtml/size4.js");
var size5_js_1 = require("./chtml/size5.js");
var size6_js_1 = require("./chtml/size6.js");
var size7_js_1 = require("./chtml/size7.js");
var tex_mathit_js_1 = require("./chtml/tex-mathit.js");
var tex_calligraphic_js_1 = require("./chtml/tex-calligraphic.js");
var tex_calligraphic_bold_js_1 = require("./chtml/tex-calligraphic-bold.js");
var tex_oldstyle_js_1 = require("./chtml/tex-oldstyle.js");
var tex_oldstyle_bold_js_1 = require("./chtml/tex-oldstyle-bold.js");
var tex_variant_js_1 = require("./chtml/tex-variant.js");
var lf_tp_js_1 = require("./chtml/lf-tp.js");
var rt_bt_js_1 = require("./chtml/rt-bt.js");
var ex_md_js_1 = require("./chtml/ex-md.js");
var delimiters_js_1 = require("./chtml/delimiters.js");
var Base = (0, common_js_1.CommonMathJaxModernFontMixin)(FontData_js_1.ChtmlFontData);
var MathJaxModernFont = (function (_super) {
    __extends(MathJaxModernFont, _super);
    function MathJaxModernFont() {
        var _this = _super.apply(this, __spreadArray([], __read(arguments), false)) || this;
        _this.cssFontPrefix = 'MM';
        return _this;
    }
    MathJaxModernFont.NAME = 'MathJaxModern';
    MathJaxModernFont.OPTIONS = __assign(__assign({}, Base.OPTIONS), { fontURL: Base.OPTIONS.dynamicPrefix = '/chtml/woff', dynamicPrefix: Base.OPTIONS.dynamicPrefix + '/chtml/dynamic' });
    MathJaxModernFont.defaultCssFamilyPrefix = 'MJX-MM-ZERO';
    MathJaxModernFont.defaultVariantLetters = {
        'normal': '',
        'bold': 'B',
        'italic': 'I',
        'bold-italic': 'BI',
        'double-struck': 'DS',
        'fraktur': 'F',
        'bold-fraktur': 'FB',
        'script': 'S',
        'bold-script': 'SB',
        'sans-serif': 'SS',
        'bold-sans-serif': 'SSB',
        'sans-serif-italic': 'SSI',
        'sans-serif-bold-italic': 'SSBI',
        'monospace': 'M',
        '-smallop': 'SO',
        '-largeop': 'LO',
        '-size3': 'S3',
        '-size4': 'S4',
        '-size5': 'S5',
        '-size6': 'S6',
        '-size7': 'S7',
        '-tex-mathit': 'MI',
        '-tex-calligraphic': 'C',
        '-tex-bold-calligraphic': 'CB',
        '-tex-oldstyle': 'OS',
        '-tex-bold-oldstyle': 'OB',
        '-tex-variant': 'V',
        '-lf-tp': 'LT',
        '-rt-bt': 'RB',
        '-ex-md': 'EM'
    };
    MathJaxModernFont.defaultDelimiters = delimiters_js_1.delimiters;
    MathJaxModernFont.defaultChars = {
        'normal': normal_js_1.normal,
        'bold': bold_js_1.bold,
        'italic': italic_js_1.italic,
        'bold-italic': bold_italic_js_1.boldItalic,
        'double-struck': double_struck_js_1.doubleStruck,
        'fraktur': fraktur_js_1.fraktur,
        'bold-fraktur': fraktur_bold_js_1.frakturBold,
        'script': script_js_1.script,
        'bold-script': script_bold_js_1.scriptBold,
        'sans-serif': sans_serif_js_1.sansSerif,
        'bold-sans-serif': sans_serif_bold_js_1.sansSerifBold,
        'sans-serif-italic': sans_serif_italic_js_1.sansSerifItalic,
        'sans-serif-bold-italic': sans_serif_bold_italic_js_1.sansSerifBoldItalic,
        'monospace': monospace_js_1.monospace,
        '-smallop': smallop_js_1.smallop,
        '-largeop': largeop_js_1.largeop,
        '-size3': size3_js_1.size3,
        '-size4': size4_js_1.size4,
        '-size5': size5_js_1.size5,
        '-size6': size6_js_1.size6,
        '-size7': size7_js_1.size7,
        '-tex-mathit': tex_mathit_js_1.texMathit,
        '-tex-calligraphic': tex_calligraphic_js_1.texCalligraphic,
        '-tex-bold-calligraphic': tex_calligraphic_bold_js_1.texCalligraphicBold,
        '-tex-oldstyle': tex_oldstyle_js_1.texOldstyle,
        '-tex-bold-oldstyle': tex_oldstyle_bold_js_1.texOldstyleBold,
        '-tex-variant': tex_variant_js_1.texVariant,
        '-lf-tp': lf_tp_js_1.lfTp,
        '-rt-bt': rt_bt_js_1.rtBt,
        '-ex-md': ex_md_js_1.exMd
    };
    MathJaxModernFont.defaultStyles = __assign(__assign({}, FontData_js_1.ChtmlFontData.defaultStyles), { '.MM-N': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-N'
        }, '.MM-B': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-B'
        }, '.MM-I': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-I'
        }, '.MM-BI': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-BI'
        }, '.MM-DS': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-DS'
        }, '.MM-F': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-F'
        }, '.MM-FB': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-FB'
        }, '.MM-S': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-S'
        }, '.MM-SB': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-SB'
        }, '.MM-SS': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-SS'
        }, '.MM-SSB': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-SSB'
        }, '.MM-SSI': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-SSI'
        }, '.MM-SSBI': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-SSBI'
        }, '.MM-M': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-M'
        }, '.MM-SO': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-SO'
        }, '.MM-LO': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-LO'
        }, '.MM-S3': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-S3'
        }, '.MM-S4': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-S4'
        }, '.MM-S5': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-S5'
        }, '.MM-S6': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-S6'
        }, '.MM-S7': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-S7'
        }, '.MM-MI': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-MI'
        }, '.MM-C': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-C'
        }, '.MM-CB': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-CB'
        }, '.MM-OS': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-OS'
        }, '.MM-OB': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-OB'
        }, '.MM-V': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-V'
        }, '.MM-LT': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-LT'
        }, '.MM-RB': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-RB'
        }, '.MM-EM': {
            'font-family': 'MJX-MM-ZERO, MJX-MM-EM'
        } });
    MathJaxModernFont.defaultFonts = __assign(__assign({}, FontData_js_1.ChtmlFontData.defaultFonts), { '@font-face /* MJX-MM-ZERO */': {
            'font-family': 'MJX-MM-ZERO',
            src: 'url("%%URL%%/mjx-mm-zero.woff") format("woff")'
        }, '@font-face /* MJX-BRK */': {
            'font-family': 'MJX-BRK',
            src: 'url("%%URL%%/mjx-mm-brk.woff") format("woff")'
        }, '@font-face /* MJX-MM-N */': {
            'font-family': 'MJX-MM-N',
            src: 'url("%%URL%%/mjx-mm-n.woff") format("woff")'
        }, '@font-face /* MJX-MM-B */': {
            'font-family': 'MJX-MM-B',
            src: 'url("%%URL%%/mjx-mm-b.woff") format("woff")'
        }, '@font-face /* MJX-MM-I */': {
            'font-family': 'MJX-MM-I',
            src: 'url("%%URL%%/mjx-mm-i.woff") format("woff")'
        }, '@font-face /* MJX-MM-BI */': {
            'font-family': 'MJX-MM-BI',
            src: 'url("%%URL%%/mjx-mm-bi.woff") format("woff")'
        }, '@font-face /* MJX-MM-DS */': {
            'font-family': 'MJX-MM-DS',
            src: 'url("%%URL%%/mjx-mm-ds.woff") format("woff")'
        }, '@font-face /* MJX-MM-F */': {
            'font-family': 'MJX-MM-F',
            src: 'url("%%URL%%/mjx-mm-f.woff") format("woff")'
        }, '@font-face /* MJX-MM-FB */': {
            'font-family': 'MJX-MM-FB',
            src: 'url("%%URL%%/mjx-mm-fb.woff") format("woff")'
        }, '@font-face /* MJX-MM-S */': {
            'font-family': 'MJX-MM-S',
            src: 'url("%%URL%%/mjx-mm-s.woff") format("woff")'
        }, '@font-face /* MJX-MM-SB */': {
            'font-family': 'MJX-MM-SB',
            src: 'url("%%URL%%/mjx-mm-sb.woff") format("woff")'
        }, '@font-face /* MJX-MM-SS */': {
            'font-family': 'MJX-MM-SS',
            src: 'url("%%URL%%/mjx-mm-ss.woff") format("woff")'
        }, '@font-face /* MJX-MM-SSB */': {
            'font-family': 'MJX-MM-SSB',
            src: 'url("%%URL%%/mjx-mm-ssb.woff") format("woff")'
        }, '@font-face /* MJX-MM-SSI */': {
            'font-family': 'MJX-MM-SSI',
            src: 'url("%%URL%%/mjx-mm-ssi.woff") format("woff")'
        }, '@font-face /* MJX-MM-SSBI */': {
            'font-family': 'MJX-MM-SSBI',
            src: 'url("%%URL%%/mjx-mm-ssbi.woff") format("woff")'
        }, '@font-face /* MJX-MM-M */': {
            'font-family': 'MJX-MM-M',
            src: 'url("%%URL%%/mjx-mm-m.woff") format("woff")'
        }, '@font-face /* MJX-MM-SO */': {
            'font-family': 'MJX-MM-SO',
            src: 'url("%%URL%%/mjx-mm-so.woff") format("woff")'
        }, '@font-face /* MJX-MM-LO */': {
            'font-family': 'MJX-MM-LO',
            src: 'url("%%URL%%/mjx-mm-lo.woff") format("woff")'
        }, '@font-face /* MJX-MM-S3 */': {
            'font-family': 'MJX-MM-S3',
            src: 'url("%%URL%%/mjx-mm-s3.woff") format("woff")'
        }, '@font-face /* MJX-MM-S4 */': {
            'font-family': 'MJX-MM-S4',
            src: 'url("%%URL%%/mjx-mm-s4.woff") format("woff")'
        }, '@font-face /* MJX-MM-S5 */': {
            'font-family': 'MJX-MM-S5',
            src: 'url("%%URL%%/mjx-mm-s5.woff") format("woff")'
        }, '@font-face /* MJX-MM-S6 */': {
            'font-family': 'MJX-MM-S6',
            src: 'url("%%URL%%/mjx-mm-s6.woff") format("woff")'
        }, '@font-face /* MJX-MM-S7 */': {
            'font-family': 'MJX-MM-S7',
            src: 'url("%%URL%%/mjx-mm-s7.woff") format("woff")'
        }, '@font-face /* MJX-MM-MI */': {
            'font-family': 'MJX-MM-MI',
            src: 'url("%%URL%%/mjx-mm-mi.woff") format("woff")'
        }, '@font-face /* MJX-MM-C */': {
            'font-family': 'MJX-MM-C',
            src: 'url("%%URL%%/mjx-mm-c.woff") format("woff")'
        }, '@font-face /* MJX-MM-CB */': {
            'font-family': 'MJX-MM-CB',
            src: 'url("%%URL%%/mjx-mm-cb.woff") format("woff")'
        }, '@font-face /* MJX-MM-OS */': {
            'font-family': 'MJX-MM-OS',
            src: 'url("%%URL%%/mjx-mm-os.woff") format("woff")'
        }, '@font-face /* MJX-MM-OB */': {
            'font-family': 'MJX-MM-OB',
            src: 'url("%%URL%%/mjx-mm-ob.woff") format("woff")'
        }, '@font-face /* MJX-MM-V */': {
            'font-family': 'MJX-MM-V',
            src: 'url("%%URL%%/mjx-mm-v.woff") format("woff")'
        }, '@font-face /* MJX-MM-LT */': {
            'font-family': 'MJX-MM-LT',
            src: 'url("%%URL%%/mjx-mm-lt.woff") format("woff")'
        }, '@font-face /* MJX-MM-RB */': {
            'font-family': 'MJX-MM-RB',
            src: 'url("%%URL%%/mjx-mm-rb.woff") format("woff")'
        }, '@font-face /* MJX-MM-EM */': {
            'font-family': 'MJX-MM-EM',
            src: 'url("%%URL%%/mjx-mm-em.woff") format("woff")'
        } });
    MathJaxModernFont.dynamicFiles = FontData_js_1.ChtmlFontData.defineDynamicFiles([
        ['latin', {
                'normal': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, 0x1E9E, [0x1EA0, 0x1EF9]
                ]
            }],
        ['latin-b', {
                'bold': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['latin-i', {
                'italic': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['latin-bi', {
                'bold-italic': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['double-struck', {
                'normal': [
                    0x2102, 0x210D, 0x2115, 0x2119, 0x211A, 0x211D, 0x2124, [0x213C, 0x2140], [0x2145, 0x2149], 0x1D538, 0x1D539, [0x1D53B, 0x1D53E], [0x1D540, 0x1D544], 0x1D546, [0x1D54A, 0x1D550], [0x1D552, 0x1D56B], [0x1D7D8, 0x1D7E1]
                ],
                'double-struck': [
                    0x131, 0x237
                ]
            }],
        ['fraktur', {
                'normal': [
                    0x210C, 0x2111, 0x211C, 0x2128, 0x212D, 0x1D504, 0x1D505, [0x1D507, 0x1D50A], [0x1D50D, 0x1D514], [0x1D516, 0x1D51C], [0x1D51E, 0x1D537], [0x1D56C, 0x1D59F]
                ],
                'fraktur': [
                    0x131, 0x237
                ],
                'bold-fraktur': [
                    0x131, 0x237
                ]
            }],
        ['script', {
                'normal': [
                    0x210A, 0x210B, 0x2110, 0x2112, 0x2113, 0x2118, 0x211B, 0x212C, [0x212F, 0x2131], 0x2133, 0x2134, 0x1D49C, 0x1D49E, 0x1D49F, 0x1D4A2, 0x1D4A5, 0x1D4A6, [0x1D4A9, 0x1D4AC], [0x1D4AE, 0x1D4B9], 0x1D4BB, [0x1D4BD, 0x1D4C3], [0x1D4C5, 0x1D503]
                ],
                'script': [
                    0x131, 0x237
                ],
                'bold-script': [
                    0x131, 0x237
                ]
            }],
        ['sans-serif', {
                'normal': [
                    0x2141, [0x1D5A0, 0x1D66F], [0x1D7E2, 0x1D7F5]
                ],
                'sans-serif': [
                    [0x20, 0x2F], [0x3A, 0x40], [0x5B, 0x60], [0x7B, 0x7E], 0xA0, 0xA3, 0xA5, 0xA7, 0xA8, 0xAC, [0xAF, 0xB1], [0xB4, 0xB7], 0xD7, 0xF0, 0xF7, 0x131, 0x237, 0x2C6, 0x2C7, [0x2C9, 0x2CB], [0x2D8, 0x2DA], 0x2DC, [0x300, 0x304], [0x306, 0x308], 0x30A, 0x30C, [0x391, 0x3A1], [0x3A3, 0x3A9], 0x2010, 0x2011, 0x2013, 0x2014, 0x2016, 0x2018, 0x2019, 0x201C, 0x201D, 0x2020, 0x2021, 0x2026, 0x2044, 0x20AC, 0x2126, 0x2127, [0x2190, 0x2193], 0x2212, 0x221E
                ],
                'bold-sans-serif': [
                    [0x20, 0x2F], [0x3A, 0x40], [0x5B, 0x60], [0x7B, 0x7E], 0xA0, 0xA3, 0xA5, 0xA7, 0xA8, 0xAC, [0xAF, 0xB1], [0xB4, 0xB7], 0xD7, 0xF0, 0xF7, 0x131, 0x237, 0x2C6, 0x2C7, [0x2C9, 0x2CB], [0x2D8, 0x2DA], 0x2DC, [0x300, 0x304], [0x306, 0x308], 0x30A, 0x30C, 0x2010, 0x2011, 0x2013, 0x2014, 0x2016, 0x2018, 0x2019, 0x201C, 0x201D, 0x2020, 0x2021, 0x2026, 0x2044, 0x20AC, 0x2126, 0x2127, [0x2190, 0x2193], 0x2212, 0x221E
                ],
                'sans-serif-italic': [
                    [0x20, 0x40], [0x5B, 0x60], [0x7B, 0x7E], 0xA0, 0xA3, 0xA5, 0xA7, 0xA8, 0xAC, [0xAF, 0xB1], [0xB4, 0xB7], 0xD7, 0xF0, 0xF7, 0x131, 0x237, 0x2C6, 0x2C7, [0x2C9, 0x2CB], [0x2D8, 0x2DA], 0x2DC, [0x300, 0x304], [0x306, 0x308], 0x30A, 0x30C, [0x391, 0x3A1], [0x3A3, 0x3A9], 0x2010, 0x2011, 0x2013, 0x2014, 0x2016, 0x2018, 0x2019, 0x201C, 0x201D, 0x2020, 0x2021, 0x2026, 0x2044, 0x20AC, 0x2126, 0x2127, [0x2190, 0x2193], 0x2212, 0x221E
                ],
                'sans-serif-bold-italic': [
                    [0x20, 0x40], [0x5B, 0x60], [0x7B, 0x7E], 0xA0, 0xA3, 0xA5, 0xA7, 0xA8, 0xAC, [0xAF, 0xB1], [0xB4, 0xB7], 0xD7, 0xF0, 0xF7, 0x131, 0x237, 0x2C6, 0x2C7, [0x2C9, 0x2CB], [0x2D8, 0x2DA], 0x2DC, [0x300, 0x304], [0x306, 0x308], 0x30A, 0x30C, 0x2010, 0x2011, 0x2013, 0x2014, 0x2016, 0x2018, 0x2019, 0x201C, 0x201D, 0x2020, 0x2021, 0x2026, 0x2044, 0x20AC, 0x2126, 0x2127, [0x2190, 0x2193], 0x2212, 0x221E
                ]
            }],
        ['sans-serif-r', {
                'sans-serif': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['sans-serif-b', {
                'bold-sans-serif': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['sans-serif-i', {
                'sans-serif-italic': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['sans-serif-bi', {
                'sans-serif-bold-italic': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x132, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['sans-serif-ex', {
                'sans-serif': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, 0xB8, [0xBA, 0xBF], 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332], 0xE3F, 0x201A, 0x201E, 0x2022, 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, [0x2190, 0x2193], 0x221A, 0x2222, 0x2300, 0x2329, 0x232A, 0x2422, 0x2423, 0x25E6, 0x266A, 0x26AD, 0x26AE, 0x27E6, 0x27E7, 0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE, [0xFB00, 0xFB04]
                ],
                'bold-sans-serif': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, 0xB8, [0xBA, 0xBF], 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332], 0xE3F, 0x201A, 0x201E, 0x2022, 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, [0x2190, 0x2193], 0x221A, 0x2222, 0x2300, 0x2329, 0x232A, 0x2422, 0x2423, 0x25E6, 0x266A, 0x26AD, 0x26AE, 0x27E6, 0x27E7, 0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE, [0xFB00, 0xFB04]
                ],
                'sans-serif-italic': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, 0xB8, [0xBA, 0xBF], 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332], 0xE3F, 0x201A, 0x201E, 0x2022, 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, [0x2190, 0x2193], 0x221A, 0x2222, 0x2300, 0x2329, 0x232A, 0x2422, 0x2423, 0x25E6, 0x266A, 0x26AD, 0x26AE, 0x27E6, 0x27E7, 0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE, [0xFB00, 0xFB04]
                ],
                'sans-serif-bold-italic': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, 0xB8, [0xBA, 0xBF], 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332], 0xE3F, 0x201A, 0x201E, 0x2022, 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, [0x2190, 0x2193], 0x221A, 0x2222, 0x2300, 0x2329, 0x232A, 0x2422, 0x2423, 0x25E6, 0x266A, 0x26AD, 0x26AE, 0x27E6, 0x27E7, 0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE, [0xFB00, 0xFB04]
                ]
            }],
        ['monospace', {
                'normal': [
                    [0x1D670, 0x1D6A3], [0x1D7F6, 0x1D7FF]
                ],
                'monospace': [
                    [0x20, 0x2F], [0x3A, 0x40], [0x5B, 0x60], [0x7B, 0x7E], 0xA0, 0xA3, 0xA5, 0xA7, 0xA8, 0xAC, [0xAF, 0xB1], [0xB4, 0xB7], 0xD7, 0xF0, 0xF7, 0x131, 0x237, 0x2C6, 0x2C7, [0x2D8, 0x2DA], 0x2DC, [0x300, 0x304], [0x306, 0x308], 0x30A, 0x30C, [0x391, 0x3A1], [0x3A3, 0x3A9], 0x2010, 0x2011, 0x2013, 0x2014, 0x2016, 0x2018, 0x2019, 0x201C, 0x201D, 0x2020, 0x2021, 0x2026, 0x2044, 0x20AC, 0x2126, 0x2127, [0x2190, 0x2193], 0x2212, 0x221E
                ]
            }],
        ['monospace-l', {
                'monospace': [
                    [0xC0, 0xD6], [0xD8, 0xEF], [0xF1, 0xF6], [0xF8, 0x130], [0x134, 0x137], [0x139, 0x148], [0x14A, 0x165], [0x168, 0x17F], 0x18E, 0x192, 0x1A0, 0x1A1, 0x1AF, 0x1B0, [0x1CD, 0x1D4], [0x1D7, 0x1DD], 0x1E6, 0x1E7, 0x1EA, 0x1EB, 0x1F0, 0x1F4, 0x1F5, [0x1FA, 0x201], 0x204, 0x205, 0x208, 0x209, 0x20C, 0x20D, 0x210, 0x211, 0x214, 0x215, [0x218, 0x21B], [0x1E0C, 0x1E0F], [0x1E24, 0x1E27], 0x1E2A, 0x1E2B, 0x1E2E, 0x1E2F, [0x1E36, 0x1E39], [0x1E42, 0x1E47], [0x1E58, 0x1E5D], 0x1E62, 0x1E63, [0x1E6C, 0x1E6F], [0x1E80, 0x1E85], 0x1E92, 0x1E93, 0x1E97, [0x1EA0, 0x1EF9]
                ]
            }],
        ['monospace-ex', {
                'monospace': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, 0xB8, [0xBA, 0xBF], 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332], 0xE3F, 0x201A, 0x201E, 0x2022, 0x2030, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x212E, [0x2190, 0x2193], 0x221A, 0x2222, 0x2300, 0x2329, 0x232A, 0x2422, 0x2423, 0x25E6, 0x266A, 0x26AD, 0x26AE, 0x27E6, 0x27E7, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE
                ]
            }],
        ['calligraphic', {
                '-tex-calligraphic': [
                    [0x41, 0x5A]
                ],
                '-tex-bold-calligraphic': [
                    [0x41, 0x5A]
                ]
            }],
        ['math', {
                'normal': [
                    0x220A, 0x220D, 0x223A, 0x223B, 0x224E, 0x224F, [0x2251, 0x2253], [0x2256, 0x225C], 0x225E, 0x228C, [0x22B6, 0x22B9], [0x22BB, 0x22BF], 0x22C7, [0x22D0, 0x22E1], [0x22E4, 0x22E9], 0x27C2, [0x27DA, 0x27DC], [0x27E0, 0x27E3], 0x29EB, 0x29F6
                ]
            }],
        ['symbols', {
                'normal': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, [0xBA, 0xBF], 0xE3F, 0x200C, 0x200D, 0x2017, 0x201A, 0x201E, 0x2022, 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2109, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, 0x2300, 0x2305, 0x2306, 0x2422, 0x2423, 0x2E18, 0x3016, 0x3017, [0xFB00, 0xFB04], 0xFEFF
                ]
            }, [0x2017]],
        ['symbols-b-i', {
                'bold': [
                    0xA1, 0xA2, 0xA4, 0xA6, [0xA9, 0xAB], 0xAD, 0xAE, [0xBA, 0xBF], 0xE3F, 0x201A, 0x201E, 0x2022, 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, 0x2300, 0x2422, 0x2423, [0xFB00, 0xFB04]
                ],
                'italic': [
                    [0xA1, 0xA7], [0xA9, 0xAE], 0xB1, [0xB5, 0xB7], [0xBA, 0xBF], 0xD7, 0xF0, 0xF7, 0xE3F, 0x201A, 0x201E, [0x2020, 0x2022], 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, 0x2300, 0x2422, 0x2423, [0xFB00, 0xFB04]
                ],
                'bold-italic': [
                    [0xA1, 0xA7], [0xA9, 0xAE], 0xB1, [0xB5, 0xB7], [0xBA, 0xBF], 0xD7, 0xF0, 0xF7, 0xE3F, 0x201A, 0x201E, [0x2020, 0x2022], 0x2030, 0x2031, [0x2039, 0x203B], 0x203D, 0x203F, 0x2040, 0x2045, 0x2046, 0x2052, 0x2054, 0x20A1, 0x20A6, 0x20A9, 0x20AB, 0x20B1, 0x2103, 0x2116, 0x2117, 0x211E, 0x2120, 0x2122, 0x212E, 0x2300, 0x2422, 0x2423, [0xFB00, 0xFB04]
                ]
            }],
        ['arrows', {
                'normal': [
                    0x219F, 0x21A1, 0x21A5, 0x21A7, 0x21AD, [0x21B0, 0x21B5], [0x21D6, 0x21D9], 0x21DC, 0x21DD, [0x21E6, 0x21E9], 0x21F3, 0x27A1, 0x27F4, 0x27FF, 0x2906, 0x2907, 0x294C, 0x294D, 0x294F, 0x2951, 0x295C, 0x295D, 0x2960, 0x2961, [0x2B04, 0x2B07], 0x2B0C, 0x2B0D, 0x2B31, 0x2B33
                ],
                '-largeop': [
                    0x2191, 0x2193, [0x2195, 0x219B], [0x219E, 0x21A3], 0x21A5, 0x21A7, [0x21A9, 0x21AE], [0x21B0, 0x21B3], 0x21B6, 0x21B7, [0x21BC, 0x21CF], 0x21D1, 0x21D3, [0x21D5, 0x21DB], [0x21E6, 0x21E9], 0x21F3, 0x21F5, 0x21F6, [0x2B04, 0x2B07], 0x2B0C, 0x2B0D, 0x2B31
                ],
                '-lf-tp': [
                    [0x21E6, 0x21E9], 0x2907, 0x2B05, 0x2B06
                ],
                '-rt-bt': [
                    [0x21E6, 0x21E9], 0x2906, 0x2B07, 0x2B0C
                ],
                '-ex-md': [
                    0x21E6, 0x21E7, 0x2B05, 0x2B06
                ]
            }, [0x219F, 0x21A1, 0x21A5, 0x21A7, 0x21AD, 0x21AE, [0x21B0, 0x21B3], [0x21D6, 0x21D9], 0x21DC, 0x21DD, [0x21E6, 0x21E9], 0x21F3, 0x27A1, 0x27FD, 0x27FE, 0x2906, 0x2907, 0x294C, 0x294D, 0x294F, 0x2951, 0x295C, 0x295D, 0x2960, 0x2961, [0x2B04, 0x2B07], 0x2B0C, 0x2B0D, 0x2B31]],
        ['accents', {
                'normal': [
                    0xB8, 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32C, 0x333], 0x33F, 0x34D, [0x20D3, 0x20D5], 0x20D8, [0x20DD, 0x20DF], [0x20E4, 0x20E6], [0x20E8, 0x20EB], 0x20F0
                ],
                '-smallop': [
                    0x311, [0x32C, 0x330], 0x332, 0x333, 0x33F, 0x34D
                ],
                '-largeop': [
                    0x311, [0x32C, 0x330]
                ],
                '-size3': [
                    0x311, [0x32C, 0x330]
                ],
                '-size4': [
                    0x311, [0x32C, 0x330]
                ],
                '-size5': [
                    0x311, [0x32C, 0x330]
                ],
                '-size6': [
                    0x311, [0x32C, 0x330]
                ],
                '-size7': [
                    0x311, [0x32C, 0x330]
                ],
                '-ex-md': [
                    0x332, 0x333, 0x33F, 0x34D
                ]
            }, [0x311, [0x32C, 0x330], 0x332, 0x333, 0x33F, 0x34D, 0x20E9]],
        ['accents-b-i', {
                'bold': [
                    0xB8, 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332]
                ],
                'italic': [
                    0xB8, 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332]
                ],
                'bold-italic': [
                    0xB8, 0x2BE, 0x2BF, 0x2DB, 0x2DD, 0x309, 0x30B, 0x30F, 0x311, 0x323, 0x326, [0x32E, 0x332]
                ]
            }],
        ['shapes', {
                'normal': [
                    0x2500, 0x2502, 0x250C, 0x2510, 0x2514, 0x2518, 0x251C, 0x2524, 0x252C, 0x2534, 0x253C, 0x2571, 0x2572, 0x2581, 0x2588, [0x2591, 0x2593], 0x25AC, 0x25AD, 0x2605, [0x2660, 0x2667], 0x266A, [0x266D, 0x266F], 0x26AD, 0x26AE, 0x2713, 0x2720, 0x27A1, 0x2B1A
                ],
                'bold': [
                    0x266A, 0x26AD, 0x26AE
                ],
                'italic': [
                    0x266A, 0x26AD, 0x26AE
                ],
                'bold-italic': [
                    0x266A, 0x26AD, 0x26AE
                ]
            }],
        ['variants', {
                '-tex-variant': [
                    0x22, 0x27, 0x2A, 0x60, 0x7E, 0xAA, 0xB0, 0xB2, 0xB3, 0xB9, 0xBA, 0x2014, 0x2061, 0x2070, 0x2071, [0x2074, 0x208E]
                ]
            }],
        ['PUA', {
                'normal': [
                    [0xE780, 0xE789], 0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE
                ],
                'bold': [
                    0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE
                ],
                'italic': [
                    0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE
                ],
                'bold-italic': [
                    0xE803, [0xEA04, 0xEA06], 0xEA09, 0xEA0B, 0xEA0D, 0xEA10, 0xEA17, 0xEA1A, 0xEA1C, 0xEA1E, 0xEA1F, 0xEA26, 0xEA2A, 0xEA2C, 0xEA2F, 0xEA35, 0xEA3A, 0xEA3E, 0xEA42, 0xEA45, 0xEB03, 0xEB04, 0xEB08, [0xEB0F, 0xEB12], 0xEB16, 0xEB19, 0xEB1E, 0xEB1F, 0xEB28, 0xEB29, 0xEB2B, 0xEB31, 0xEB35, 0xEB36, 0xEB3A, 0xEB3B, 0xEB40, 0xEB48, 0xEB49, 0xEB4D, 0xEB61, 0xEB63, 0xEB65, 0xEB6E, 0xEB6F, [0xEC08, 0xEC0E], 0xEC10, 0xEC11, 0xF6BE, 0xF6DE
                ]
            }]
    ]);
    return MathJaxModernFont;
}(Base));
exports.MathJaxModernFont = MathJaxModernFont;
//# sourceMappingURL=chtml.js.map