"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicFonts_js_1 = require("mathjax-full/cjs/output/chtml/DynamicFonts.js");
var chtml_js_1 = require("../../chtml.js");
var Direction_js_1 = require("mathjax-full/cjs/output/common/Direction.js");
chtml_js_1.MathJaxModernFont.dynamicSetup('', 'accents', (0, DynamicFonts_js_1.AddFontIds)({
    '': {
        'normal': {
            0xB8: [.005, .2, .444],
            0x2BE: [.667, -.326, .398],
            0x2BF: [.667, -.326, .398],
            0x2DB: [.005, .211, .5],
            0x2DD: [.697, -.511, .5, { sk: .024 }],
            0x309: [.729, -.52, 0, { dx: .264 }],
            0x30B: [.732, -.546, 0, { dx: .24 }],
            0x30F: [.732, -.546, 0, { dx: .288 }],
            0x311: [.742, -.605, 0, { dx: .264 }],
            0x323: [-.094, .2, 0, { dx: .265 }],
            0x326: [-.066, .29, 0, { dx: .264 }],
            0x32C: [-.096, .243, 0, { dx: .264 }],
            0x32D: [-.108, .255, 0, { dx: .264 }],
            0x32E: [-.096, .233, 0, { dx: .264 }],
            0x32F: [-.118, .255, 0, { dx: .264 }],
            0x330: [-.118, .31, 0, { dx: .264 }],
            0x331: [-.131, .162, 0, { dx: .264 }],
            0x332: [-.103, .143, 0, { dx: .264 }],
            0x333: [-.103, .293, 0, { dx: .264 }],
            0x33F: [.82, -.63, 0, { dx: .264 }],
            0x34D: [-.091, .281, 0, { dx: .264 }],
            0x20D3: [.52, .02, 0, { sk: -.264 }],
            0x20D4: [.751, -.589, 0, { dx: .264 }],
            0x20D5: [.751, -.589, 0, { dx: .264 }],
            0x20D8: [.4, -.1, 0, { sk: -.264 }],
            0x20DD: [.772, .272, 0],
            0x20DE: [.75, .25, 0],
            0x20DF: [1.028, .528, 0],
            0x20E4: [.831, .311, 0],
            0x20E5: [.75, .25, 0, { sk: -.263 }],
            0x20E6: [.75, .25, 0, { sk: -.264 }],
            0x20E8: [-.096, .188, 0, { dx: .264 }],
            0x20E9: [.726, -.552, 0, { dx: .264 }],
            0x20EA: [.51, .01, 0, { sk: -.264 }],
            0x20EB: [.75, .25, 0, { sk: -.264 }],
            0x20F0: [.827, -.518, 0, { dx: .264 }]
        },
        '-smallop': {
            0x311: [.756, -.592, .658],
            0x32C: [-.096, .27, .644],
            0x32D: [-.108, .282, .644],
            0x32E: [-.096, .26, .658],
            0x32F: [-.118, .282, .658],
            0x330: [-.118, .319, .652],
            0x332: [-.103, .143, .568],
            0x333: [-.103, .293, .568],
            0x33F: [.82, -.63, .568],
            0x34D: [-.091, .281, .715]
        },
        '-largeop': {
            0x311: [.757, -.592, .784],
            0x32C: [-.096, .27, .768],
            0x32D: [-.108, .282, .768],
            0x32E: [-.096, .26, .784],
            0x32F: [-.118, .282, .784],
            0x330: [-.118, .323, .778]
        },
        '-size3': {
            0x311: [.758, -.592, .937],
            0x32C: [-.096, .271, .919],
            0x32D: [-.108, .283, .919],
            0x32E: [-.096, .262, .937],
            0x32F: [-.118, .284, .937],
            0x330: [-.118, .332, .931]
        },
        '-size4': {
            0x311: [.759, -.592, 1.12],
            0x32C: [-.096, .273, 1.1],
            0x32D: [-.108, .285, 1.1],
            0x32E: [-.096, .263, 1.12],
            0x32F: [-.118, .285, 1.12],
            0x330: [-.118, .341, 1.115]
        },
        '-size5': {
            0x311: [.76, -.592, 1.341],
            0x32C: [-.096, .274, 1.32],
            0x32D: [-.108, .286, 1.32],
            0x32E: [-.096, .264, 1.341],
            0x32F: [-.118, .286, 1.341],
            0x330: [-.118, .35, 1.335]
        },
        '-size6': {
            0x311: [.76, -.591, 1.604],
            0x32C: [-.096, .275, 1.581],
            0x32D: [-.108, .287, 1.581],
            0x32E: [-.096, .265, 1.604],
            0x32F: [-.118, .287, 1.604],
            0x330: [-.118, .355, 1.599]
        },
        '-size7': {
            0x311: [.761, -.591, 1.92],
            0x32C: [-.096, .276, 1.896],
            0x32D: [-.108, .288, 1.896],
            0x32E: [-.096, .266, 1.92],
            0x32F: [-.118, .288, 1.92],
            0x330: [-.118, .364, 1.915]
        },
        '-ex-md': {
            0x332: [-.103, .143, .19],
            0x333: [-.103, .293, .19],
            0x33F: [.82, -.63, .19],
            0x34D: [-.171, .201, .151]
        }
    }
}, 'MM'), {
    0x311: {
        dir: Direction_js_1.H,
        sizes: [.374, .658, .784, .937, 1.12, 1.341, 1.604, 1.92]
    },
    0x32C: {
        dir: Direction_js_1.H,
        sizes: [.364, .644, .768, .919, 1.1, 1.32, 1.581, 1.896]
    },
    0x32D: {
        dir: Direction_js_1.H,
        sizes: [.364, .644, .768, .919, 1.1, 1.32, 1.581, 1.896]
    },
    0x32E: {
        dir: Direction_js_1.H,
        sizes: [.374, .658, .784, .937, 1.12, 1.341, 1.604, 1.92]
    },
    0x32F: {
        dir: Direction_js_1.H,
        sizes: [.374, .658, .784, .937, 1.12, 1.341, 1.604, 1.92]
    },
    0x330: {
        dir: Direction_js_1.H,
        sizes: [.37, .652, .778, .931, 1.115, 1.335, 1.599, 1.915]
    },
    0x332: {
        dir: Direction_js_1.H,
        sizes: [.392, .568],
        stretch: [0, 0x332],
        stretchv: [0, 1],
        HDW: [-0.103, 0.143, 0],
        hd: [-.103, .143]
    },
    0x333: {
        dir: Direction_js_1.H,
        sizes: [.392, .568],
        stretch: [0, 0x333],
        stretchv: [0, 1],
        HDW: [-0.103, 0.293, 0],
        hd: [-.103, .293]
    },
    0x33F: {
        dir: Direction_js_1.H,
        sizes: [.392, .568],
        stretch: [0, 0x33F],
        stretchv: [0, 1],
        HDW: [0.82, -0.63, 0],
        hd: [.82, -.63]
    },
    0x34D: {
        dir: Direction_js_1.H,
        sizes: [.47, .715],
        stretch: [0x20EE, 0x34D, 0x20EF],
        stretchv: [3, 1, 4],
        HDW: [-0.091, 0.281, 0],
        hd: [-.171, .201]
    },
    0x20E9: {
        dir: Direction_js_1.H,
        sizes: [.36, .735, 1.11, 1.485, 1.86, 2.235, 2.61, 2.985],
        schar: [0x20E9, 0x23B4],
        stretch: [0x23B4, 0x23B4, 0x23B4],
        stretchv: [3, 1, 4],
        HDW: [0.772, -0.504, 0],
        hd: [.772, -.712]
    }
});
//# sourceMappingURL=accents.js.map