import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxModernFont } from '../../chtml.js';
MathJaxModernFont.dynamicSetup('', 'latin-i', AddFontIds({
    'LI': {
        'italic': {
            0xC0: [.906, 0, .743],
            0xC1: [.906, 0, .743],
            0xC2: [.855, 0, .743],
            0xC3: [.837, 0, .743],
            0xC4: [.832, 0, .743],
            0xC5: [.892, 0, .743],
            0xC6: [.683, 0, .883, { ic: .066 }],
            0xC7: [.705, .192, .716, { ic: .096 }],
            0xC8: [.906, 0, .678, { ic: .065 }],
            0xC9: [.906, 0, .678, { ic: .065 }],
            0xCA: [.855, 0, .678, { ic: .065 }],
            0xCB: [.832, 0, .678, { ic: .065 }],
            0xCC: [.906, 0, .386, { ic: .115 }],
            0xCD: [.906, 0, .386, { ic: .162 }],
            0xCE: [.855, 0, .386, { ic: .133 }],
            0xCF: [.832, 0, .386, { ic: .156 }],
            0xD0: [.683, 0, .755, { ic: .02 }],
            0xD1: [.837, 0, .743, { ic: .109 }],
            0xD2: [.906, .022, .767, { ic: .021 }],
            0xD3: [.906, .022, .767, { ic: .021 }],
            0xD4: [.855, .022, .767, { ic: .021 }],
            0xD5: [.837, .022, .767, { ic: .021 }],
            0xD6: [.832, .022, .767, { ic: .021 }],
            0xD8: [.743, .06, .767, { ic: .055 }],
            0xD9: [.906, .022, .743, { ic: .109 }],
            0xDA: [.906, .022, .743, { ic: .109 }],
            0xDB: [.855, .022, .743, { ic: .109 }],
            0xDC: [.832, .022, .743, { ic: .109 }],
            0xDD: [.906, 0, .743, { ic: .131 }],
            0xDE: [.683, 0, .627, { ic: .02 }],
            0xDF: [.705, .205, .537, { ic: .041 }],
            0xE0: [.696, .011, .511, { ic: .014 }],
            0xE1: [.696, .011, .511, { ic: .028 }],
            0xE2: [.683, .011, .511, { ic: .018 }],
            0xE3: [.651, .011, .511, { ic: .057 }],
            0xE4: [.649, .011, .511, { ic: .032 }],
            0xE5: [.705, .011, .511, { ic: .014 }],
            0xE6: [.442, .011, .716, { ic: .003 }],
            0xE7: [.442, .192, .46, { ic: .01 }],
            0xE8: [.696, .011, .46, { ic: .008 }],
            0xE9: [.696, .011, .46, { ic: .053 }],
            0xEA: [.683, .011, .46, { ic: .043 }],
            0xEB: [.649, .011, .46, { ic: .057 }],
            0xEC: [.696, .011, .307, { ic: .037 }],
            0xED: [.696, .011, .307, { ic: .13 }],
            0xEE: [.683, .011, .307, { ic: .12 }],
            0xEF: [.649, .011, .307, { ic: .134 }],
            0xF1: [.651, .011, .562, { ic: .032 }],
            0xF2: [.696, .011, .511],
            0xF3: [.696, .011, .511, { ic: .028 }],
            0xF4: [.683, .011, .511, { ic: .018 }],
            0xF5: [.651, .011, .511, { ic: .057 }],
            0xF6: [.649, .011, .511, { ic: .032 }],
            0xF8: [.538, .107, .511, { ic: .039 }],
            0xF9: [.696, .011, .537, { ic: .024 }],
            0xFA: [.696, .011, .537, { ic: .024 }],
            0xFB: [.683, .011, .537, { ic: .024 }],
            0xFC: [.649, .011, .537, { ic: .024 }],
            0xFD: [.696, .205, .486, { ic: .04 }],
            0xFE: [.694, .194, .511],
            0xFF: [.649, .205, .486, { ic: .044 }],
            0x100: [.786, 0, .743],
            0x101: [.616, .011, .511, { ic: .061 }],
            0x102: [.916, 0, .743],
            0x103: [.686, .011, .511, { ic: .052 }],
            0x104: [.716, .211, .743],
            0x105: [.442, .211, .511, { ic: .014 }],
            0x106: [.906, .022, .716, { ic: .096 }],
            0x107: [.696, .011, .46, { ic: .076 }],
            0x108: [.855, .022, .716, { ic: .096 }],
            0x109: [.683, .011, .46, { ic: .066 }],
            0x10A: [.864, .022, .716, { ic: .096 }],
            0x10B: [.654, .011, .46, { ic: .01 }],
            0x10C: [.855, .022, .716, { ic: .096 }],
            0x10D: [.683, .011, .46, { ic: .102 }],
            0x10E: [.855, 0, .755, { ic: .02 }],
            0x10F: [.694, .011, .511, { ic: .16 }],
            0x110: [.683, 0, .755, { ic: .02 }],
            0x111: [.694, .011, .511, { ic: .077 }],
            0x112: [.786, 0, .678, { ic: .065 }],
            0x113: [.616, .011, .46, { ic: .086 }],
            0x114: [.916, 0, .678, { ic: .065 }],
            0x115: [.686, .011, .46, { ic: .077 }],
            0x116: [.864, 0, .678, { ic: .065 }],
            0x117: [.654, .011, .46, { ic: .008 }],
            0x118: [.68, .211, .678, { ic: .065 }],
            0x119: [.442, .211, .46, { ic: .008 }],
            0x11A: [.855, 0, .678, { ic: .065 }],
            0x11B: [.683, .011, .46, { ic: .079 }],
            0x11C: [.855, .022, .774, { ic: .038 }],
            0x11D: [.683, .205, .46, { ic: .057 }],
            0x11E: [.916, .022, .774, { ic: .038 }],
            0x11F: [.686, .205, .46, { ic: .091 }],
            0x120: [.864, .022, .774, { ic: .038 }],
            0x121: [.654, .205, .46, { ic: .027 }],
            0x122: [.705, .29, .774, { ic: .038 }],
            0x123: [.735, .205, .46, { ic: .027 }],
            0x124: [.855, 0, .743, { ic: .109 }],
            0x125: [.866, .011, .511, { ic: .074 }],
            0x126: [.683, 0, .743, { ic: .109 }],
            0x127: [.694, .011, .511, { ic: .024 }],
            0x128: [.837, 0, .386, { ic: .165 }],
            0x129: [.651, .011, .307, { ic: .159 }],
            0x12A: [.786, 0, .386, { ic: .165 }],
            0x12B: [.616, .011, .307, { ic: .163 }],
            0x12C: [.916, 0, .386, { ic: .171 }],
            0x12D: [.686, .011, .307, { ic: .154 }],
            0x12E: [.683, .211, .386, { ic: .115 }],
            0x12F: [.656, .211, .307, { ic: .024 }],
            0x130: [.864, 0, .386, { ic: .115 }],
            0x132: [.683, .022, .872, { ic: .097 }],
            0x133: [.654, .205, .583, { ic: .06 }],
            0x134: [.855, .022, .525, { ic: .12 }],
            0x135: [.683, .205, .307, { ic: .12 }],
            0x136: [.683, .29, .769, { ic: .09 }],
            0x137: [.694, .29, .46, { ic: .042 }],
            0x139: [.906, 0, .627],
            0x13A: [.917, .011, .256, { ic: .23 }],
            0x13B: [.683, .29, .627],
            0x13C: [.694, .29, .256, { ic: .05 }],
            0x13D: [.683, 0, .627, { ic: .02 }],
            0x13E: [.694, .011, .256, { ic: .161 }],
            0x13F: [.683, 0, .627, { ic: .037 }],
            0x140: [.694, .011, .256, { ic: .122 }],
            0x141: [.683, 0, .627],
            0x142: [.694, .011, .319, { ic: .03 }],
            0x143: [.906, 0, .743, { ic: .109 }],
            0x144: [.696, .011, .562, { ic: .024 }],
            0x145: [.683, .29, .743, { ic: .109 }],
            0x146: [.442, .29, .562, { ic: .024 }],
            0x147: [.855, 0, .743, { ic: .109 }],
            0x148: [.683, .011, .562, { ic: .029 }],
            0x14A: [.705, .022, .743, { ic: .066 }],
            0x14B: [.442, .216, .498, { ic: .02 }],
            0x14C: [.786, .022, .767, { ic: .021 }],
            0x14D: [.616, .011, .511, { ic: .061 }],
            0x14E: [.916, .022, .767, { ic: .021 }],
            0x14F: [.686, .011, .511, { ic: .052 }],
            0x150: [.936, .022, .767, { ic: .021 }],
            0x151: [.696, .011, .511, { ic: .065 }],
            0x152: [.705, .022, .985, { ic: .066 }],
            0x153: [.443, .012, .716, { ic: .003 }],
            0x154: [.906, .022, .729],
            0x155: [.696, .011, .422, { ic: .072 }],
            0x156: [.683, .29, .729],
            0x157: [.442, .29, .422, { ic: .067 }],
            0x158: [.855, .022, .729],
            0x159: [.683, .011, .422, { ic: .098 }],
            0x15A: [.906, .022, .562, { ic: .075 }],
            0x15B: [.696, .011, .409, { ic: .079 }],
            0x15C: [.855, .022, .562, { ic: .07 }],
            0x15D: [.683, .011, .409, { ic: .069 }],
            0x15E: [.705, .194, .562, { ic: .07 }],
            0x15F: [.442, .192, .409, { ic: .01 }],
            0x160: [.855, .022, .562, { ic: .071 }],
            0x161: [.683, .011, .409, { ic: .105 }],
            0x162: [.677, .192, .716, { ic: .09 }],
            0x163: [.626, .192, .332, { ic: .041 }],
            0x164: [.855, 0, .716, { ic: .09 }],
            0x165: [.689, .011, .332, { ic: .108 }],
            0x168: [.837, .022, .743, { ic: .109 }],
            0x169: [.651, .011, .537, { ic: .044 }],
            0x16A: [.786, .022, .743, { ic: .109 }],
            0x16B: [.616, .011, .537, { ic: .048 }],
            0x16C: [.916, .022, .743, { ic: .109 }],
            0x16D: [.686, .011, .537, { ic: .039 }],
            0x16E: [.892, .022, .743, { ic: .109 }],
            0x16F: [.705, .011, .537, { ic: .024 }],
            0x170: [.936, .022, .743, { ic: .109 }],
            0x171: [.696, .011, .537, { ic: .052 }],
            0x172: [.683, .211, .743, { ic: .109 }],
            0x173: [.442, .211, .537, { ic: .024 }],
            0x174: [.855, .022, .999, { ic: .125 }],
            0x175: [.683, .011, .664, { ic: .033 }],
            0x176: [.855, 0, .743, { ic: .131 }],
            0x177: [.683, .205, .486, { ic: .03 }],
            0x178: [.832, 0, .743, { ic: .131 }],
            0x179: [.906, 0, .613, { ic: .091 }],
            0x17A: [.696, .011, .409, { ic: .079 }],
            0x17B: [.864, 0, .613, { ic: .091 }],
            0x17C: [.654, .011, .409, { ic: .055 }],
            0x17D: [.855, 0, .613, { ic: .091 }],
            0x17E: [.683, .011, .409, { ic: .105 }],
            0x17F: [.705, .205, .307, { ic: .145 }],
            0x18E: [.68, 0, .678, { ic: .115 }],
            0x192: [.705, .205, .307, { ic: .145 }],
            0x1A0: [.789, .022, .767, { ic: .06 }],
            0x1A1: [.536, .011, .511, { ic: .074 }],
            0x1AF: [.789, .022, .743, { ic: .131 }],
            0x1B0: [.536, .011, .537, { ic: .093 }],
            0x1CD: [.855, 0, .743],
            0x1CE: [.683, .011, .511, { ic: .054 }],
            0x1CF: [.855, 0, .386, { ic: .158 }],
            0x1D0: [.683, .011, .307, { ic: .156 }],
            0x1D1: [.855, .022, .767, { ic: .021 }],
            0x1D2: [.683, .011, .511, { ic: .054 }],
            0x1D3: [.855, .022, .743, { ic: .109 }],
            0x1D4: [.683, .011, .537, { ic: .041 }],
            0x1D7: [1.054, .022, .743, { ic: .109 }],
            0x1D8: [.867, .011, .537, { ic: .077 }],
            0x1D9: [1.003, .022, .743, { ic: .109 }],
            0x1DA: [.816, .011, .537, { ic: .073 }],
            0x1DB: [1.054, .022, .743, { ic: .109 }],
            0x1DC: [.867, .011, .537, { ic: .024 }],
            0x1DD: [.442, .011, .46, { ic: .039 }],
            0x1E6: [.855, .022, .774, { ic: .038 }],
            0x1E7: [.683, .205, .46, { ic: .093 }],
            0x1EA: [.705, .211, .767, { ic: .021 }],
            0x1EB: [.442, .211, .511],
            0x1F0: [.683, .205, .307, { ic: .156 }],
            0x1F4: [.906, .022, .774, { ic: .038 }],
            0x1F5: [.696, .205, .46, { ic: .067 }],
            0x1FA: [1.071, 0, .743],
            0x1FB: [.884, .011, .511, { ic: .062 }],
            0x1FC: [.906, 0, .883, { ic: .066 }],
            0x1FD: [.696, .011, .716, { ic: .003 }],
            0x1FE: [.906, .06, .767, { ic: .055 }],
            0x1FF: [.696, .107, .511, { ic: .039 }],
            0x200: [.936, 0, .743],
            0x201: [.696, .011, .511, { ic: .014 }],
            0x204: [.936, 0, .678, { ic: .065 }],
            0x205: [.696, .011, .46, { ic: .018 }],
            0x208: [.936, 0, .386, { ic: .115 }],
            0x209: [.696, .011, .307, { ic: .095 }],
            0x20C: [.936, .022, .767, { ic: .021 }],
            0x20D: [.696, .011, .511],
            0x210: [.936, .022, .729],
            0x211: [.696, .011, .422, { ic: .067 }],
            0x214: [.936, .022, .743, { ic: .109 }],
            0x215: [.696, .011, .537, { ic: .024 }],
            0x218: [.705, .29, .562, { ic: .07 }],
            0x219: [.442, .29, .409, { ic: .01 }],
            0x21A: [.677, .29, .716, { ic: .09 }],
            0x21B: [.626, .29, .332, { ic: .041 }],
            0x1E0C: [.683, .2, .755, { ic: .02 }],
            0x1E0D: [.694, .2, .511, { ic: .049 }],
            0x1E0E: [.683, .162, .755, { ic: .02 }],
            0x1E0F: [.694, .162, .511, { ic: .049 }],
            0x1E24: [.683, .2, .743, { ic: .109 }],
            0x1E25: [.694, .2, .511, { ic: .024 }],
            0x1E26: [.832, 0, .743, { ic: .109 }],
            0x1E27: [.843, .011, .511, { ic: .097 }],
            0x1E2A: [.683, .232, .743, { ic: .109 }],
            0x1E2B: [.694, .232, .511, { ic: .024 }],
            0x1E2E: [1.054, 0, .386, { ic: .199 }],
            0x1E2F: [.867, .011, .307, { ic: .192 }],
            0x1E36: [.683, .2, .627],
            0x1E37: [.694, .2, .256, { ic: .05 }],
            0x1E38: [.786, .2, .627],
            0x1E39: [.797, .2, .256, { ic: .192 }],
            0x1E42: [.683, .2, .897, { ic: .105 }],
            0x1E43: [.442, .2, .818, { ic: .024 }],
            0x1E44: [.842, 0, .743, { ic: .109 }],
            0x1E45: [.654, .011, .562, { ic: .024 }],
            0x1E46: [.683, .2, .743, { ic: .109 }],
            0x1E47: [.442, .2, .562, { ic: .024 }],
            0x1E58: [.864, .022, .729],
            0x1E59: [.654, .011, .422, { ic: .067 }],
            0x1E5A: [.683, .2, .729],
            0x1E5B: [.442, .2, .422, { ic: .067 }],
            0x1E5C: [.786, .2, .729],
            0x1E5D: [.616, .2, .422, { ic: .105 }],
            0x1E62: [.705, .2, .562, { ic: .07 }],
            0x1E63: [.442, .2, .409, { ic: .01 }],
            0x1E6C: [.677, .2, .716, { ic: .09 }],
            0x1E6D: [.626, .2, .332, { ic: .041 }],
            0x1E6E: [.677, .162, .716, { ic: .09 }],
            0x1E6F: [.626, .162, .332, { ic: .041 }],
            0x1E80: [.906, .022, .999, { ic: .125 }],
            0x1E81: [.696, .011, .664, { ic: .033 }],
            0x1E82: [.906, .022, .999, { ic: .125 }],
            0x1E83: [.696, .011, .664, { ic: .033 }],
            0x1E84: [.832, .022, .999, { ic: .125 }],
            0x1E85: [.649, .011, .664, { ic: .033 }],
            0x1E92: [.683, .2, .613, { ic: .091 }],
            0x1E93: [.442, .2, .409, { ic: .055 }],
            0x1E97: [.793, .011, .332, { ic: .174 }],
            0x1EA0: [.716, .2, .743],
            0x1EA1: [.442, .2, .511, { ic: .014 }],
            0x1EA2: [.967, 0, .743],
            0x1EA3: [.705, .011, .511, { ic: .014 }],
            0x1EA4: [1.034, 0, .743],
            0x1EA5: [.816, .011, .511, { ic: .043 }],
            0x1EA6: [1.034, 0, .743],
            0x1EA7: [.816, .011, .511, { ic: .017 }],
            0x1EA8: [1.064, 0, .743, { ic: .059 }],
            0x1EA9: [.846, .011, .511, { ic: .121 }],
            0x1EAA: [.996, 0, .743, { ic: .026 }],
            0x1EAB: [.778, .011, .511, { ic: .088 }],
            0x1EAC: [.855, .2, .743],
            0x1EAD: [.683, .2, .511, { ic: .018 }],
            0x1EAE: [1.095, 0, .743],
            0x1EAF: [.865, .011, .511, { ic: .056 }],
            0x1EB0: [1.095, 0, .743],
            0x1EB1: [.865, .011, .511, { ic: .052 }],
            0x1EB2: [1.125, 0, .743],
            0x1EB3: [.895, .011, .511, { ic: .052 }],
            0x1EB4: [1.057, 0, .743, { ic: .042 }],
            0x1EB5: [.827, .011, .511, { ic: .101 }],
            0x1EB6: [.916, .2, .743],
            0x1EB7: [.686, .2, .511, { ic: .052 }],
            0x1EB8: [.68, .2, .678, { ic: .065 }],
            0x1EB9: [.442, .2, .46, { ic: .008 }],
            0x1EBA: [.967, 0, .678, { ic: .065 }],
            0x1EBB: [.705, .011, .46, { ic: .021 }],
            0x1EBC: [.837, 0, .678, { ic: .065 }],
            0x1EBD: [.651, .011, .46, { ic: .082 }],
            0x1EBE: [1.034, 0, .678, { ic: .065 }],
            0x1EBF: [.816, .011, .46, { ic: .068 }],
            0x1EC0: [1.034, 0, .678, { ic: .065 }],
            0x1EC1: [.816, .011, .46, { ic: .042 }],
            0x1EC2: [1.064, 0, .678, { ic: .092 }],
            0x1EC3: [.846, .011, .46, { ic: .146 }],
            0x1EC4: [.996, 0, .678, { ic: .065 }],
            0x1EC5: [.778, .011, .46, { ic: .113 }],
            0x1EC6: [.855, .2, .678, { ic: .065 }],
            0x1EC7: [.683, .2, .46, { ic: .043 }],
            0x1EC8: [.967, 0, .386, { ic: .124 }],
            0x1EC9: [.705, .011, .307, { ic: .098 }],
            0x1ECA: [.683, .2, .386, { ic: .115 }],
            0x1ECB: [.654, .2, .307, { ic: .051 }],
            0x1ECC: [.705, .2, .767, { ic: .021 }],
            0x1ECD: [.442, .2, .511],
            0x1ECE: [.967, .022, .767, { ic: .021 }],
            0x1ECF: [.705, .011, .511],
            0x1ED0: [1.034, .022, .767, { ic: .021 }],
            0x1ED1: [.816, .011, .511, { ic: .043 }],
            0x1ED2: [1.034, .022, .767, { ic: .021 }],
            0x1ED3: [.816, .011, .511, { ic: .017 }],
            0x1ED4: [1.064, .022, .767, { ic: .047 }],
            0x1ED5: [.846, .011, .511, { ic: .121 }],
            0x1ED6: [.996, .022, .767, { ic: .021 }],
            0x1ED7: [.778, .011, .511, { ic: .088 }],
            0x1ED8: [.855, .2, .767, { ic: .021 }],
            0x1ED9: [.683, .2, .511, { ic: .018 }],
            0x1EDA: [.906, .022, .767, { ic: .06 }],
            0x1EDB: [.696, .011, .511, { ic: .074 }],
            0x1EDC: [.906, .022, .767, { ic: .06 }],
            0x1EDD: [.696, .011, .511, { ic: .074 }],
            0x1EDE: [.967, .022, .767, { ic: .06 }],
            0x1EDF: [.705, .011, .511, { ic: .074 }],
            0x1EE0: [.837, .022, .767, { ic: .06 }],
            0x1EE1: [.651, .011, .511, { ic: .074 }],
            0x1EE2: [.789, .2, .767, { ic: .06 }],
            0x1EE3: [.536, .2, .511, { ic: .074 }],
            0x1EE4: [.683, .2, .743, { ic: .109 }],
            0x1EE5: [.442, .2, .537, { ic: .024 }],
            0x1EE6: [.967, .022, .743, { ic: .109 }],
            0x1EE7: [.705, .011, .537, { ic: .024 }],
            0x1EE8: [.906, .022, .743, { ic: .131 }],
            0x1EE9: [.696, .011, .537, { ic: .093 }],
            0x1EEA: [.906, .022, .743, { ic: .131 }],
            0x1EEB: [.696, .011, .537, { ic: .093 }],
            0x1EEC: [.967, .022, .743, { ic: .131 }],
            0x1EED: [.705, .011, .537, { ic: .093 }],
            0x1EEE: [.837, .022, .743, { ic: .131 }],
            0x1EEF: [.651, .011, .537, { ic: .093 }],
            0x1EF0: [.789, .2, .743, { ic: .131 }],
            0x1EF1: [.536, .2, .537, { ic: .093 }],
            0x1EF2: [.906, 0, .743, { ic: .131 }],
            0x1EF3: [.696, .205, .486, { ic: .03 }],
            0x1EF4: [.683, .2, .743, { ic: .131 }],
            0x1EF5: [.442, .205, .486, { ic: .033 }],
            0x1EF6: [.967, 0, .743, { ic: .131 }],
            0x1EF7: [.705, .205, .486, { ic: .03 }],
            0x1EF8: [.837, 0, .743, { ic: .131 }],
            0x1EF9: [.651, .205, .486, { ic: .069 }]
        }
    }
}, 'MM'), {}, ['MJX-MM-LI']);
//# sourceMappingURL=latin-i.js.map